Subject: bug#40549: [usability] revert last generation

From: Tom Zander <[email-masked]>
Date: Sat, 11 Apr 2020 11:23:52 +0200

This could be nicer:

I just installed something and want to revert this last generation, as seen in 
`guix package -l`.

Doing a single call like `guix package -S 17 -d 18`   does not work, and I'd 
like it to work.

What it does is that it notices I'm currently on generation 18 and thus it 
can't delete that one. As such it just errors out and returns.

What I expect to happen (regardless of order of arguments) is that it switches 
to the 17th generation and then deletes generation 18.

-- 
Tom Zander